<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred"
	xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl	="http://exslt.org/common"
	xmlns:sw		="http://www.swsoft.com/xsl/cp"
	xmlns:error	="http://www.swsoft.com/xsl/cp/error"
	xmlns:cred	="http://www.swsoft.com/xsl/cp/cred"
	xmlns:check	="http://www.swsoft.com/xsl/cp/check"
	xmlns:vzenv	="http://www.swsoft.com/xsl/cp/vzenv"
	xmlns:hwm		="http://www.swsoft.com/xsl/cp/hwm"
	xmlns:plesk ="http://www.swsoft.com/xsl/cp/plesk"
>
	<sw:include href="/lib/core/check-funcs.xsl"/>
	<xsl:output method="xml"/>

	<!-- check permissions to process request -->
	<xsl:variable name="cr-plesk-login"
		select="cred:detail-check-env('vzcp.env.manage.services.plesk_control_panel',sw:ve-eid())"/>

	<xsl:template match="/">
		<xsl:variable name="service-allowed" select="plesk:is-allowed(sw:ve-eid())"/>
		<xsl:choose>
			<xsl:when test="not($service-allowed)">
				<xsl:choose>
					<xsl:when test="not($cr-plesk-login)">
						<!-- no creds, on screen would be terminating -->
						<packet/>
					</xsl:when>
					<xsl:when test="cred:is-demo-mode()">
						<packet>
							<target>progm</target>
							<cookie>
								<operation>login_to_plesk</operation>
								<redirect-last/>
							</cookie>
						</packet>
						<xsl:value-of select="sw:response('lib/opredirect.xsl')"/>
					</xsl:when>
					<xsl:otherwise>
						<!-- creds present -->
						<packet/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<!-- allowed, no need screen -->
				<packet>
					<cookie>
						<redirect><xsl:value-of select="$baseurl"/>/panel/plesk</redirect>
					</cookie>
				</packet>
				<xsl:value-of select="sw:response('lib/opredirect.xsl')"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!-- credentials -->
	<sw:include href="/lib/cred.xsl"/>
	<sw:include href="/lib/common.xsl"/>
	<sw:include href="/lib/vz/vzenv-offline.xsl"/>
	<sw:include href="/lib/vza/hwm.xsl"/>
	<sw:include href="/lib/plesk/core.xsl"/>

</xsl:stylesheet>
