<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl env"
  xmlns:xsl	="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw	="http://www.swsoft.com/xsl/cp"
	xmlns:ve	="http://www.swsoft.com/xsl/cp/ve"
	xmlns:env	="http://www.swsoft.com/xsl/cp/env"
	xmlns:vt	="http://www.swsoft.com/xsl/cp/vt"
>
  
	<sw:include href="/lib/vt/env-core.xsl"/>
  
  <xsl:output method="xml"/>

  <xsl:template name="prepare-for-linux">
		<xsl:variable name="eid" select="sw:ve-eid()"/>
    <packet>
      <cookie>
				<xsl:copy-of select="env:get-env($eid)/env"/>
			</cookie>
      <target>servicem</target>
      <xsl:copy-of select="sw:env-dst($eid)"/>
      <data>
        <servicem>
          <get>
            <name>psa</name>
            <state/>
          </get>
        </servicem>
        <servicem>
          <get>
            <name>mysqld</name>
            <state/>
          </get>
        </servicem>
      </data>
    </packet>
  </xsl:template>

  <xsl:template name="prepare-for-windows">
		<xsl:variable name="eid" select="sw:ve-eid()"/>
    <packet>
      <cookie>
				<xsl:copy-of select="env:get-env($eid)/env"/>
			</cookie>
      <target>servicem</target>
      <xsl:copy-of select="sw:env-dst($eid)"/>
      <data>
        <servicem>
          <get>
            <name>pleskmiscsrv</name>
            <state/>
          </get>
        </servicem>
        <servicem>
          <get>
            <name>plesksrv</name>
            <state/>
          </get>
        </servicem>
        <servicem>
          <get>
            <name>PleskControlPanel</name>
            <state/>
          </get>
        </servicem>        
      </data>
    </packet>
  </xsl:template>

	<xsl:template match="/">
		<xsl:variable name="ve-platform" select="ve:ve2platform(env:get-env()/env)"/>
		<xsl:choose>
			<xsl:when test="vt:is-platform-linux($ve-platform)">
				<xsl:call-template name="prepare-for-linux"/>
			</xsl:when>
			<xsl:when test="vt:is-platform-windows($ve-platform)">			
				<xsl:call-template name="prepare-for-windows"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

 <sw:include href="/lib/common.xsl"/> 

</xsl:stylesheet>
