<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl env plesk"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
	xmlns:env		="http://www.swsoft.com/xsl/cp/env"
	xmlns:plesk	="http://www.swsoft.com/xsl/cp/plesk"
	xmlns:ve    ="http://www.swsoft.com/xsl/cp/ve"
>
	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/plesk/core.xsl"/>
  
  <xsl:output method="xml"/>

  <xsl:template match="/">
    <xsl:for-each select="env:get-env(sw:ve-eid())/env/virtual_config">
			<!-- update  info -->
			<xsl:value-of select="sw:sesput('hostname', string(hostname))"/>
			<xsl:value-of select="sw:sesput('base_set', string(base_set))"/>
			<xsl:value-of select="sw:sesput('templates', template)"/>
			<xsl:value-of select="sw:sesput('ip',ip)"/>
    </xsl:for-each>

		<xsl:variable name="plesk-state" select="string(sw:sesget('plesk-state'))"/>
		<xsl:variable name="vzve-plesk-status"	select="plesk:detect-plesk(sw:ve-eid())"/>
    <xsl:if test="$vzve-plesk-status/installed  and ve:context-state() = $env-state/running and ($plesk-state = 'allow' or $plesk-state = '')">
      <!--  login to plesk -->
      <xsl:call-template name="plesk:make-login-plesk"/>
    </xsl:if>
    <packet/>
  </xsl:template>

	<!-- creds -->
  <sw:include href="/lib/cred.xsl"/>	

  <sw:include href="/lib/common.xsl"/>
  <sw:include href="/lib/progm.xsl"/>
  <sw:include href="/lib/psa_auth.xsl"/>
  <sw:include href="/lib/globals.xsl"/> 
 
</xsl:stylesheet>
