<!--
		Copyright (c) SWsoft, 1999-2007
		All rights reserved.
	-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred"
	xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl	="http://exslt.org/common"
	xmlns:sw		="http://www.swsoft.com/xsl/cp"
	xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"
	xmlns:cred	="http://www.swsoft.com/xsl/cp/cred"
	xmlns:voc		="http://www.swsoft.com/xsl/cp/voc"
	xmlns:plesk	="http://www.swsoft.com/xsl/cp/plesk"
>

	<xsl:variable name="cr-plesk-panel"
		select="cred:check-env('vzcp.env.manage.services.plesk_control_panel',sw:ve-eid())"/>
	<xsl:param name="access-denied" select="not($cr-plesk-panel)"/>
	<xsl:variable name="vzve-plesk-status" select="plesk:detect-plesk(sw:ve-eid())"/>

	<xsl:template mode="screen" match="/">
		<ui:screen id="03.05.00.01.01" icon="plesk" bg="plesk">
			<ui:content>
				<ui:block>
					<xsl:choose>
						<xsl:when test="$vzve-plesk-status/installed">
							<ui:dashboard/>
						</xsl:when>
						<xsl:when test="$vzve-plesk-status/not-installed">
							<ui:block>
								<ui:operation-problem>
									<ui:descr>
										<sw:text>Cannot manage Plesk</sw:text>
									</ui:descr>
									<ui:reason>
										<sw:text>Plesk is not installed in the Container.</sw:text>
									</ui:reason>
									<ui:solution>
										<ui:i18n-link href="{$baseurl}/panel/plesk/install" tip="07.01.04.03">
											<_>Click %{aopen}here%{aclose} to start the Plesk installation.</_>
										</ui:i18n-link>
									</ui:solution>
								</ui:operation-problem>
							</ui:block>
						</xsl:when>
						<xsl:when test="$vzve-plesk-status/unknown">
							<xsl:variable name="oper-problem" select="voc:check-operation('plesk')"/>
							<ui:block>
								<ui:operation-problem>
									<ui:descr>
										<sw:text>Cannot manage Plesk</sw:text>
									</ui:descr>
									<ui:reason>
										<sw:text>Unable to detect a Plesk installation on the Container.</sw:text>
									</ui:reason>
									<xsl:copy-of select="$oper-problem"/>
									<ui:solution>
										<sw:text>Contact your support representative.</sw:text>
									</ui:solution>
								</ui:operation-problem>
							</ui:block>
						</xsl:when>
					</xsl:choose>
				</ui:block>
			</ui:content>
		</ui:screen>
	</xsl:template>

	<sw:include href="/lib/cred.xsl"/>
	<sw:include href="/lib/vocabulary.xsl"/>
	<sw:include href="/lib/common.xsl"/>
	<sw:include href="/lib/plesk/core.xsl"/>
	<sw:include href="/lib/screen.xsl"/>

</xsl:stylesheet>
