<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl str"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
  xmlns:str		="http://exslt.org/strings"
  xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"
	xmlns:plesk ="http://www.swsoft.com/xsl/cp/plesk"
  >

	<xsl:template match="/">
		<ui:raw>

		<!-- Redirect back to :4643 in case of not VE admin, not plesk admin and not sso login -->
		<xsl:if test="not($auth-type = 'veuser' or $auth-type = 'pleskadmin' or $auth-type = 'sso')">
			<script language="JavaScript">
				c_win = top.window.location;
				top.window.location.href = c_win.protocol + '//' + c_win.hostname + ':4643' + '/vz/cp/';
			</script>
		</xsl:if>

    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
        <link rel="shortcut icon" href="/favicon.ico"/>
        <title>Plesk <xsl:value-of select="substring-before(sw:sesget('psa-version'), ' ')"/></title>
        <script type="text/javascript" src="/vz/js/common_script.js"></script>
        <script type="text/javascript" src="/vz/js/browser.js"></script>
        <script type="text/javascript" src="/psa/javascript/frameset.js"></script>
        
        <script>

          <![CDATA[

  function detailsRefresher(winObj,url, time){
    if (winObj.closed){
      winObj.flagDetailsReresh = 0;
	  return
	}
	      
    if(winObj.flagDetailsRefresh == 0){
      winObj.flagDetailsRefresh = 1;
    }else{
      winObj.location = url;
    }
      thisObj = this;
      self.setTimeout(function(){ thisObj.delayedRefresh(winObj)},time);
    }
	   
    function delayedRefresh(winObj){
	  if (!winObj.closed)
        winObj.location.reload()
    }

    function showTip(textID){
      showTipText(_c[textID] || textID);
    }
      
    function showTipText(hint_text){
      var prefix = "<div><span class='hint'>";
      var suffix = "</span></div>";
      var msg = prefix + hint_text + suffix;
      changeInnerHTML('leftFrame', 'contexthelp', msg);
    }
    
    function changeInnerHTML(frameID, elementID, txt){
      myframe = eval('top.'+frameID);
      if (!myframe)  return false;

      if (is.ns4) {
        if (!myframe.document ||
    		!myframe.document.layers ||
    		!myframe.document.layers[elementID] ||
    		!myframe.document.layers[elementID].document) {
    			return false;
    	}
    	lyrdoc = myframe.document.layers[elementID].document;
    	lyrdoc.open();
    	lyrdoc.write(txt);
    	lyrdoc.close();
      }
    
      if (is.ns5) {
        if (!myframe.document) {
    			return false;
    	}
    	lyrdoc = myframe.document.getElementById(elementID);
    	if (lyrdoc && lyrdoc.innerHTML)
    			lyrdoc.innerHTML = txt;
      }
    
      if (is.ie) {
        if (!myframe.document ||
    		!myframe.document.all ||
    		!myframe.document.all[elementID] ||
    		!myframe.document.all[elementID].innerHTML) {
    			return false;
    	}
    	myframe.document.all[elementID].innerHTML = txt;
      }
    
      return false;
    }      
		var _c = new Array;	// context help messages
		var tips_dynamic = false;
		var tips_dynamic_key = '';
		var _js= new Array;
]]>
          <xsl:for-each select="sw:document('messages.xml')/messages/message">
						_js['<xsl:value-of select="@id"/>'] = "<xsl:value-of select="sw:html-escape(sw:text(./child::node()),'escape-dquote')"/>";
          </xsl:for-each>    

	var _dnd = new Array;
	
		</script>	
        <xsl:variable name="pv" select="str:split(sw:sesget('psa-version'),'.')"/>
        <xsl:variable name="psa-version-dir" select="sw:if($pv, concat($pv[1],'.',$pv[2]), '7.1')"/>
				<xsl:variable name="psa-version-detail"	select="sw:sesget('psa-version-detail')"/>
				<xsl:choose>
					<xsl:when test="plesk:check-plesk-version-for('dynamic-tips',$psa-version-detail)">
	 					<!-- tips would be load by request while first plesk page showed -->
						<script>tips_dynamic = true; tips_dynamic_key = '';</script>
					</xsl:when>
					<xsl:otherwise>
						<!-- tips load from vzcp directory -->
		        <script type="text/javascript" src="/vz/locale/{$psa-version-dir}/{$active_lang_id}/plesk-tips.js"></script>
						<script>tips_dynamic = false; tips_dynamic_key = ''; </script>
					</xsl:otherwise>
				</xsl:choose>

				<script>
		 			<xsl:for-each select="sw:document('tips.xml')/tips/tip">
  	      	_c['<xsl:value-of select="@id"/>'] = "<xsl:value-of select="sw:html-escape(sw:text(./child::node()),'escape-dquote')"/>";
					</xsl:for-each>    
        </script>

        <script>
          <xsl:variable name="main-frame-url">
          </xsl:variable>

          <sw:text lang="C" disable-text-normalize="yes">
            <xsl:with-param name="leftframe">/vz/cp/panel/plesk/menu</xsl:with-param>
            <xsl:with-param name="topframe">
              <xsl:choose>
                <xsl:when test="sw:sesget('login-plesk') = 1">/top.php3</xsl:when>
                <xsl:otherwise>/vz/cp/panel/plesk/top</xsl:otherwise>
              </xsl:choose>
						</xsl:with-param>
            <xsl:with-param name="mainframe">
              <xsl:choose>
                <xsl:when test="sw:sesget('login-plesk') = 1">
                	<xsl:choose>
										<xsl:when test="plesk:check-plesk-version-for('entry-point',$psa-version-detail)">
											<xsl:value-of select="'/index.php?no_frames=true'"/>
                		</xsl:when>
                		<xsl:otherwise>
											<xsl:value-of select="'/clients/clients.php3'"/>
                		</xsl:otherwise>
                	</xsl:choose>
                </xsl:when>
                <xsl:otherwise>/vz/cp/panel/plesk/index</xsl:otherwise>
              </xsl:choose>
            </xsl:with-param>
            <![CDATA[
              document.write('<frameset rows="50,*" border=0 framespacing=0 frameborder=0 onUnload="if(MPCWIN && !MPCWIN.closed) MPCWIN.close();">');
              document.write('<frame src="%{topframe}"  name="topFrame" frameborder=0 border=0 framespacing=0 marginheight=0 marginwidth=0 scrolling="No" noresize>');
              document.write('<frameset cols="210,*" border="0" frameborder="0" framespacing="0">');
              document.write('<frame src="%{leftframe}" name="leftFrame" frameborder="0" border="0" noresize'+ieAddScroll+ieAddResize+'>');
              document.write('<frame src="%{mainframe}" name="workFrame" frameborder="0" border="0" framespacing="0" marginheight="7" marginwidth="7" noresize scrolling="yes">');
              document.write('</frameset>');
              document.write('</frameset>');
            ]]>
          </sw:text>

        </script>
      </head>
    </html>
  	</ui:raw>
  </xsl:template>


	<sw:include href="/lib/globals.xsl"/>
	<sw:include href="/lib/psa_auth.xsl"/>

</xsl:stylesheet>
