<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
  xmlns:ui	="http://www.swsoft.com/xsl/cp/ui"
	xmlns:cred	="http://www.swsoft.com/xsl/cp/cred"
	xmlns:check ="http://www.swsoft.com/xsl/cp/check"
	xmlns:sb ="http://www.swsoft.com/xsl/cp/sb"	
>

	<sw:include href="/lib/cred-filter.xsl"/>
  <sw:include href="/lib/vz/vzenv-core.xsl"/>

  <xsl:template match="dashboard">
		<xsl:variable name="validItems" select="cred:filter-items(item[not(template)])"/>
		<xsl:if test="count($validItems) &gt; 0">
		 <ui:block>
			<ui:actions title="{sw:text(@name)}">
      	<ui:actions-set>
        	<xsl:for-each select="$validItems">
          	<xsl:variable name="href"><xsl:call-template name="href"/></xsl:variable>
	          <ui:action href="{$href}" icon="{@icon}" sandclock="false" tip="{@tip}">
  	          <sw:text select="@title"/>
    	      </ui:action>
      	  </xsl:for-each>
	      </ui:actions-set>
	    </ui:actions>
			</ui:block>
		</xsl:if>

  </xsl:template>

  <xsl:template mode="screen" match="/">
    <ui:screen id="03.05.00.03.07">

      <ui:properties>
        <ui:width value="fixed"/>
        <ui:no-uplevel/>
      </ui:properties>

      <ui:content>
        <ui:env-info/>


        <xsl:for-each select="cred:filter-items(sw:document($dashboard-file, $dashboard-source)/dashboards/dashboard)">        
          <xsl:if test="@screen-id != '03.00.00.00.06' and @screen-id != '03.02.01.35.02' and @screen-id != '03.02.01.35.03' and @screen-id != '03.05.00.01.01'">
            <xsl:apply-templates select="."/>                      
          </xsl:if>
        </xsl:for-each>	
      </ui:content>

    </ui:screen>
  </xsl:template>  

  <sw:include href="/lib/screen.xsl"/>
  <sw:include href="/lib/dashboard.xsl"/>

	<!-- XXX: this template called for template href -> shoulf be changed to ui:link and include removed -->
  <sw:include href="/lib/nav_menu.xsl"/>

</xsl:stylesheet>
