<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred str sb func"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
	xmlns:cred	="http://www.swsoft.com/xsl/cp/cred"
	xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"
	xmlns:str		="http://exslt.org/strings"
	xmlns:sb		="http://www.swsoft.com/xsl/cp/sb"
	xmlns:func	="http://exslt.org/functions"
	xmlns:plesk	="http://www.swsoft.com/xsl/cp/plesk"
	xmlns:process	="http://www.swsoft.com/xsl/cp/process"
  >

	<sw:include href="/lib/sitebuilder.xsl"/>

  <xsl:variable name="vz-menu-item-def">
    <item>
      <id>virtuozzo</id>
      <type>link</type>
      <name>Virtuozzo</name>
      <name_id>bt_virtuozzo</name_id>
      <icon>nav_virtuozzo.gif</icon>
      <link>/vz/cp/panel/plesk/index</link>
      <tip_id>virtuozzo</tip_id>
    </item>
  </xsl:variable>
  <xsl:variable name="vz-menu-item" select="exsl:node-set($vz-menu-item-def)"/>

	<xsl:template match="/">
		<ui:raw>
    <html>
      <head>
        <link rel="shortcut icon" href="/favicon.ico"/>
        <title>psa</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
				<link rel="stylesheet" type="text/css" href="/{$theme}/left-pp.css"/>
				<link rel="stylesheet" type="text/css" href="/{$theme}/common.css"/> 
      </head> 
          
      <script type="text/javascript">
        var activeElementId = '';

	function openSection(section){
	  if (document.getElementById) {
	    var el = document.getElementById (section);
	     var knob = document.getElementById ('knob_'+section);
<![CDATA[		  if (el && el.className) {]]>
		    if (el.className == 'menuSectionOpen'){
		      el.className = 'menuSectionClosed';
		      knob.alt =  '<sw:text>Open Group</sw:text>';
		      knob.title =  '<sw:text>Open Group</sw:text>';
		    }else{
			el.className = 'menuSectionOpen';
		      knob.alt =  '<sw:text>Close Group</sw:text>';
		      knob.title =  '<sw:text>Close Group</sw:text>';
		    }

		  }
	    }
	  }
	
<![CDATA[
	function selectMenuItem(elementId){
	  if (activeElementId != elementId) {
		  if (activeElementId != '' ) {
		 	var cur = document.getElementById(activeElementId);
			cur.className = 'MenuItem';
		  }
		  activeElementId = elementId;
		  if (activeElementId != ""){
		    var el = document.getElementById(activeElementId);
		    el.className='MenuItemActive';
		  }
	  }	
	}
    

]]>
	
    </script>       

		<script language="javascript" type="text/javascript" src="/psa/javascript/leftframe.js"></script>

      <xsl:variable name="plesk-menu-def">
				<xsl:variable name="exec-arg">
          <argv><xsl:value-of select="sw:base64-encode(plesk:get-path-to-plesk-util('cu_plesk_get_menu'))"/></argv>
          <argv><xsl:value-of select="sw:base64-encode('-l')"/></argv>
          <argv><xsl:value-of select="sw:base64-encode($plesk-lang-id)"/></argv>
          <stdio>
            <output/>
          </stdio>						
				</xsl:variable>
        <xsl:variable name="ret" select="process:exec($exec-arg,sw:ve-eid())"/>
        <xsl:variable name="menu" select="sw:node-set(normalize-space(sw:base64-decode($ret/process/output)))"/>
        <xsl:choose>
          <!-- get in-ve menu -->
          <xsl:when test="not($ret/process/error) and $menu/navigation">
            <xsl:copy-of select="$menu/navigation"/>
          </xsl:when>
          <!-- get default menu -->
          <xsl:otherwise>
            <xsl:copy-of select="sw:document('plesk-default-menu.xml')/plesk-menu/navigation"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>
      <xsl:variable name="plesk-menu" select="exsl:node-set($plesk-menu-def)"/>

      <xsl:variable name="active" select="$plesk-menu//item[active]/id"/>

			<xsl:variable name="help-url">
				<xsl:choose>
					<xsl:when test="plesk:check-plesk-version-for('dynamic-help',sw:sesget('psa-version-detail'))">
						'/help.php?context='+top.context+(top._help_module ? '&amp;module=' + top._help_module : '')
					</xsl:when>
					<xsl:otherwise>
						'/locale/<xsl:value-of select="$plesk-lang-id"/>/help/'+top.help_prefix+top.context+'.html'
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>		 
      <!--script language="javascript"--> 
      <xsl:variable name="confirmation">
        <sw:text>Are you sure you wish to log out?</sw:text>
      </xsl:variable>
        
      <script>
      <sw:text lang="C" disable-text-normalize="yes">
        <xsl:with-param name="baseurl" select="$baseurl"/>
        <xsl:with-param name="active" select="$active"/>
        <xsl:with-param name="confirm" select="$confirmation"/>        
        <xsl:with-param name="help-url" select="normalize-space($help-url)"/>

&lt;!--

var activeItem = "%{active}";

<![CDATA[
function open_integrate_help() {
 var tpc=top.context;
 if (top.workFrame) {
		noservice_regexp = /03\.05\.00\.03\.08/;
		vz_noserv = noservice_regexp.test(tpc);
		virtuozzo_regexp = /^03\./;
		vz_page = virtuozzo_regexp.test(tpc);
 }
 if (vz_page && !vz_noserv) {
			/* it's virtuozzo pages and NOT noservice page*/
			if(top.workFrame && (typeof(top.workFrame.callHelp) != 'undefined'))	{
				top.workFrame.callHelp();
			}
  } else {
  		if (vz_noserv) {
				window.open('/vz/cp/panel/plesk/noservice?context=help', 'noservice', 'toolbar=no,width=500,height=400,innerHeight=400,innerWidth=500,scrollbars=yes,resizable=yes');
  		} else {
				if ( tpc != '') {
					window.open(%{help-url}, tpc, 'toolbar=no,width=500,height=400,innerHeight=400,innerWidth=500,scrollbars=yes,resizable=yes');   			
				} else { alert('No help for screen: '+tpc);	} //no help present;
  		}
	]]>

  }
}

function my_logout()
{
     if (confirm('%{confirm}'))
     	top.location = "%{baseurl}/logout";
     return false;
}

     <![CDATA[
function setup_scroll() 
{
     if (navigator.appName == 'Microsoft Internet Explorer' && document.documentElement && navigator.userAgent.indexOf ('Opera') == -1) 
       top.setScrollInIE();
}		
       ]]>
//--&gt;
       </sw:text>
      </script>

      <body onLoad="setup_scroll()" class="leftFrame">
        <form action="/left.php3" method="post" enctype="multipart/form-data" style="border: none">
          <table id="navArea" cellspacing="0" cellpadding="0" width="100%" border="0">
          	<tr>
              <td class="Menu">
                <xsl:apply-templates select="$plesk-menu/navigation/section"/>
              </td>
            </tr>
            <tr>
              <td id="menuBottomPlaceholder" colspan="3" width="100%">
                <img src="/{$theme}/images/1x1.gif" width="1" height="1" border="0"/>
               </td>
             </tr>									
          </table>										
        </form>
      </body>
    </html>
		</ui:raw>
  </xsl:template>

  <xsl:template match="section">
    <xsl:variable name="name">
      <xsl:choose>
        <xsl:when test="../translate">
          <sw:text domain="vzcp-plesk" select="string(name)"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="name"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="section_number" select="position()"/>
    <table  border="0" cellspacing="0" cellpadding="0" width="100%" id="section_{$section_number}" class="menuSectionOpen">
      <tr>
        <td width="100%" align="left" valign="middle" class="MenuTitle"  onclick="openSection('section_{$section_number}')">
          <table border="0" cellspacing="0" cellpadding="0" width="100%">
            <tr>
              <td class="MenuTitleLeft" valign="top"><img src="/{$theme}/images/topleft.gif" border="0" style="vertical-align:top"/></td>
              <td width="100%">
								<xsl:value-of select="$name"/>
              </td>
              <td class="MenuTitleKnob"><img src="/{$theme}/images/1x1.gif" border="0" width="20" height="22"  alt="{sw:text('Close Group')}" title="{sw:text('Close Group')}" id="knob_section_{$section_number}"/></td>
              <td class="MenuTitleRight" valign="top"><img src="/{$theme}/images/topright.gif" border="0" style="vertical-align:top"/></td>
            </tr>
          </table>
        </td>
      </tr>

      <tr>
        <td>
		<table border="0" cellspacing="0" cellpadding="0" width="100%" class="menuSectionFlat">
            <!-- inject virtuozzo item if no in menu -->
            <xsl:choose>
              <xsl:when test="id = 'system' and not(//item[id = 'virtuozzo'])">
                <xsl:apply-templates select="item[id = 'server'] | $vz-menu-item/item | item[id != 'server']">
                	<xsl:with-param name="section_number" select="$section_number"/>
                </xsl:apply-templates>
              </xsl:when>
              <xsl:otherwise>
                <xsl:apply-templates select="item">
                	<xsl:with-param name="section_number" select="$section_number"/>
                </xsl:apply-templates>                	
              </xsl:otherwise>
            </xsl:choose>
          </table>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="item">
    <xsl:variable name="js">
      <xsl:choose>
        <xsl:when test="type = 'action' and id != 'help'"><xsl:value-of select="action"/></xsl:when>
        <xsl:when test="type = 'action' and id = 'help'">return open_integrate_help();</xsl:when>
        <xsl:when test="type = 'link'">selectMenuItem('element_<xsl:value-of select="$section_number"/>_<xsl:value-of select="position()"/>'); return  openScreen('<xsl:value-of select="id"/>', '<xsl:value-of select="link"/>');</xsl:when>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="name">
      <xsl:choose>
        <xsl:when test="../../translate">
          <sw:text domain="vzcp-plesk" select="string(name)"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="name"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:choose>      
      <!-- context help block -->
      <xsl:when test="type = 'conhelp'">
      	<tr>
      		<td>
		        <table border="0" cellspacing="0" cellpadding="0" width="100%" id="{id}">
		          <tr>
		            <td width="100%">
		              <div id="contexthelp">
		                <div>
		                  <span class="hint"></span>
		                </div>
		              </div>
		            </td>
		          </tr>
		        </table>      
          </td>
        </tr>
      </xsl:when>

      <!-- normal item block -->
      <xsl:otherwise>
        <xsl:variable name="image">

          <xsl:choose>
            <!-- show custom buttons from VE -->
            <xsl:when test="count(custom)">
              <xsl:text>/images/custom_buttons/</xsl:text>
              <xsl:value-of select="icon"/>
            </xsl:when>
            
            <!-- show other images from service VE -->
            <xsl:otherwise>
              /<xsl:value-of select="$theme"/>
              <xsl:text>/icons/</xsl:text><xsl:value-of select="icon"/>
            </xsl:otherwise>
          </xsl:choose>

        </xsl:variable>

        <tr>
          <td width="100%" align="left" valign="middle" id="{id}">
          	<table border="0" cellspacing="0" cellpadding="0" width="100%" id="element_{$section_number}_{position()}"  class="MenuItem">
		          <tr>
		            <td class="MenuItemImage">
		              <a href="#" title="{$name}" onClick="{$js}" onMouseOver="top.mouse_move('{tip_id}')" onMouseOut="top.mouse_move()">
		                <img src="{$image}" width="16" height="16" border="0" alt="{$name}" title="{$name}"/>
		              </a>
		            </td>
		            <td width="100%" class="MenuItemText">
	                <a onClick="{$js}" href="#" title="{$name}" onMouseOver="top.mouse_move('{tip_id}')" onMouseOut="top.mouse_move()" id="">
	                  <xsl:value-of select="$name"/>
	                </a>
		            </td>
		          </tr>
		        </table>
					</td>
				</tr>
      </xsl:otherwise>
    </xsl:choose> 
  </xsl:template>

  <sw:include href="/lib/globals.xsl"/>
  <sw:include href="/lib/psa_auth.xsl"/>
  <sw:include href="/lib/progm.xsl"/>
  <sw:include href="/lib/cred.xsl"/>

</xsl:stylesheet>

